
/* WordPress Core classes  -------------------------------------------------- */
/* https://codex.wordpress.org/CSS#WordPress_Generated_Classes */

/*.alignnone { margin: 5px 20px 20px 0; }*/
.aligncenter,
div.aligncenter { display: block; margin: 5px auto 5px auto; }
.alignright { float:right; margin: 5px 0 20px 20px; }
.alignleft { float: left; margin: 5px 20px 20px 0; }
a img.alignright { float: right; margin: 5px 0 20px 20px; }
a img.alignnone { margin: 5px 20px 20px 0; }
a img.alignleft { float: left; margin: 5px 20px 20px 0; }
a img.aligncenter { display: block; margin-left: auto; margin-right: auto; }

.wp-caption { background: #fff; border: 1px solid #f0f0f0; max-width: 96%; /* Image does not overflow the content area */ padding: 5px 3px 10px; text-align: center; }
.wp-caption.alignnone { margin: 5px 20px 20px 0; }
.wp-caption.alignleft { margin: 5px 20px 20px 0; }
.wp-caption.alignright { margin: 5px 0 20px 20px; }
.wp-caption img { border: 0 none; height: auto; margin: 0; max-width: 98.5%; padding: 0; width: auto; }
.wp-caption p.wp-caption-text { font-size: 11px; line-height: 17px; margin: 0; padding: 0 4px 5px; }

.screen-reader-text { border: 0; clip: rect(1px, 1px, 1px, 1px); clip-path: inset(50%); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute !important; width: 1px; word-wrap: normal !important; }
.screen-reader-text:focus { background-color: #eee; clip: auto !important; clip-path: none; color: #444; display: block; font-size: 1em; height: auto; left: 5px; line-height: normal; padding: 15px 23px 14px; text-decoration: none; top: 5px; width: auto; z-index: 100000; }



/**
 * Gutenberg Wide Alignments and Floats ----------------------------------------
 * https://developer.wordpress.org/block-editor/how-to-guides/themes/theme-support/#wide-alignments-and-floats
 */
 .wp-block-image figure.alignleft { margin-right:2rem; margin-bottom:1rem }
 .wp-block-image figure.alignright { margin-left:2rem; margin-bottom:1rem }

 /* For captions, we display the figure itself as a table.
    This ensures the figcaption will retain the same width as the image,
    which is important when the caption is long. */
 .wp-block-image figure.alignleft,
 .wp-block-image figure.alignright { display:table }
 .wp-block-image figure.alignleft figcaption,
 .wp-block-image figure.alignright figcaption { display:table-caption; caption-side:bottom }
 .wp-block-image figure.alignright figcaption,
 .wp-block-image figure.alignleft figcaption { font-size:75%; margin-bottom:1rem }

.layout-content > *:not(.alignfull):not(.alignwide):not(.alignleft):not(.alignright),
.layout-content > article > *:not(.alignfull):not(.alignwide):not(.alignleft):not(.alignright){
  margin-left: auto;
  margin-right: auto;
  max-width:min(calc(100dvw - 60px), var(--wp--style--global--content-size));
}

.alignfull {
  width: 100%;
}

.alignwide {
  margin-left: auto !important;
  margin-right: auto !important;
  max-width: var(--container-width);
  padding-left:var(--container-padding); 
  padding-right:var(--container-padding);
}

/* Gutenberg Misc ----------------------------------------------------------- */

/* margin bottom aux colonnes et non au wrapper colonnes afin d'avoir
  marge entre chaque colonne sur mobile  */
.wp-block-columns { margin-bottom:0 }
.wp-block-column { margin-bottom:1.75em }

p.has-drop-cap:not(:focus):first-letter {
  font-size: 6.5em;
}

:where(.wp-block-group.has-background) { padding: 0; } /* Disable padding added when background added */

/* Table */
.wp-block-table table { border-collapse:separate }

/* Button */
.wp-block-button__link { font-family:var(--font-secondary); text-transform:uppercase; border-radius:var(--border-radius); padding: var(--button-padding); height: auto; transition:all 300ms ease; }
.wp-block-button__link:is(:hover, :focus){ text-decoration: none; opacity: .85;  }
.wp-block-button__link.has-light-background-color,
.wp-block-button__link.has-light-color{ color: var(--dark) !important }
.wp-block-button__link.active{ background:var(--light); color:var(--dark); cursor: default;  }


.wp-block-file .wp-block-file__button { display: inline-block; font-family:var(--font-secondary); letter-spacing: 1px; font-size: 15px; font-size: 0.9375rem; text-transform: uppercase; font-weight: 500; border-radius:var(--border-radius); background: var(--primary); color: #fff; line-height: 1; padding: 1.5em 2.5em; }
.wp-block-file .wp-block-file__button:hover { cursor: pointer; filter:brightness(1.2); text-decoration:none; }


/* quote */
.wp-block-quote,
.wp-block-quote.is-style-large { margin-top: 2.5rem; margin-bottom: 2.5rem; font-size: 20px; font-size: 1.25rem; padding-left: 4.5rem; position: relative; font-style: italic; }

.wp-block-quote:before,
.wp-block-quote.is-style-large:before { content: '“'; font-size: 100px; font-size: 6.25rem; font-style: italic; position: absolute; top: 0; left: 0; line-height: 1; }
.wp-block-quote p:last-of-type,
.wp-block-quote.is-style-large p:last-of-type { margin-bottom: 0; }

.wp-block-quote cite,
.wp-block-quote .wp-block-quote__citation,
.wp-block-quote.is-style-large cite,
.wp-block-quote.is-style-large .wp-block-quote__citation { margin-top: 1.5rem; font-size: 16px; font-size: 1rem; font-family:var(--font-secondary); color: #707070; text-transform: uppercase; font-style: normal; font-weight: 500; display: inline-block; }

/* pullquote */
.wp-block-pullquote { border-top: 2px solid #dbdee1; border-bottom: 2px solid #dbdee1; padding: 3.75rem 0; margin-top: 2.5rem; margin-bottom: 2.5rem; font-size: 20px; font-size: 1.25rem; text-align: left; }
.wp-block-pullquote blockquote { margin: 0; }
.wp-block-pullquote p { font-size: inherit; }
.wp-block-pullquote p:last-of-type { margin-bottom: 0; }
.wp-block-pullquote.alignfull blockquote { margin: 0 1.5rem; }
.wp-block-pullquote cite,
.wp-block-pullquote .wp-block-pullquote__citation { margin-top: 1.5rem; font-size: 16px; font-size: 1rem; font-family:var(--font-secondary); color: #707070; text-transform: uppercase; font-style: normal; font-weight: 500; display: inline-block; }
.wp-block-pullquote.is-style-solid-color { padding: 3.75rem; border: 0; }
.wp-block-pullquote.is-style-solid-color blockquote { max-width: 100%; }
.wp-block-pullquote.is-style-solid-color blockquote p { font-size: inherit; }
.wp-block-pullquote.is-style-solid-color blockquote cite,
.wp-block-pullquote.is-style-solid-color blockquote .wp-block-pullquote__citation { text-transform: uppercase; color: inherit; }


.wp-block-separator { background: #f3f9fd; color: #f3f9fd; height: 2px; }
.wp-block-separator.is-style-dots { height: auto; background: transparent; border-bottom: 8px dotted currentColor; }
.wp-block-separator.is-style-dots:not(.has-background) { border-bottom: 2px dotted #f1f4f7; }
.wp-block-separator.is-style-dots:before { display: none; }
.wp-block-separator:not(.is-style-dots):not(.is-style-wide) { max-width: 300px; }

.wp-block-search .wp-block-search__input { border:var(--border) }

ol.wp-block-latest-comments { padding-left:0 }
